@media (width <= 768px) {
  .floor-btn {
    width: clamp(1px, 78.4vw, 294px);
    margin: 60px auto 0;
  }
}
@media (769px <= width) {
  .floor-btn {
    width: 420px;
    margin: 80px auto 0;
  }
}
@media (width <= 768px) {
  .floor-btn a {
    height: 70px;
  }
}
@media (769px <= width) {
  .floor-btn a {
    height: 100px;
  }
}
/* =========================================================
all
========================================================= */
@media (width <= 768px) {
  .floor-all {
    padding: 25px 0 0;
  }
}
@media (769px <= width) {
  .floor-all {
    padding-top: 70px;
  }
}
.floor-all__item {
  border-bottom: 1px solid #E5E5E5;
}

.floor-all__item a {
  min-height: 100px;
  display: flex;
  align-items: center;
}

@media (width <= 768px) {
  .floor-all__item a {
    padding: 20px clamp(1px, 10.66vw, 40px);
    gap: clamp(1px, 6.93vw, 26px);
  }
}
@media (769px <= width) {
  .floor-all__item a {
    padding: 30px clamp(1px, 5.46vw, 70px);
    gap: clamp(1px, 3.75vw, 48px);
  }
}
.floor-all__item .floor {
  font-family: nimbus-sans, sans-serif;
  font-weight: 400;
  letter-spacing: 0.01em;
  line-height: 1;
}

@media (width <= 768px) {
  .floor-all__item .floor {
    font-size: clamp(1px, 4.53vw, 17px);
  }
}
@media (769px <= width) {
  .floor-all__item .floor {
    width: 100px;
    font-size: 20px;
  }
}
.floor-all__item .wrap {
  flex: 1;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 15px;
}

@media (width <= 768px) {
  .floor-all__item .wrap {
    justify-content: flex-end;
  }
}
@media (769px <= width) {
  .floor-all__item:has(.c-pict) .wrap {
    justify-content: flex-end;
  }
}
@media (width <= 768px) {
  .floor-all__item .name {
    font-size: 13px;
    line-height: 1.53;
  }
}
@media (769px <= width) {
  .floor-all__item .name {
    font-size: 15px;
    line-height: 1.33;
  }
}
.floor-all__item .c-pict {
  justify-content: flex-end;
}

@media (width <= 768px) {
  .floor-all__item .c-pict {
    width: 100%;
  }
}
@media (769px <= width) {
  .floor-all__item .c-pict {
    margin-left: auto;
  }
}
.floor-all__item .arrow {
  aspect-ratio: 5/2;
  display: block;
  overflow: hidden;
}

.floor-all__item .arrow::before {
  content: "";
  width: 100%;
  height: 100%;
  -webkit-mask: url(../images/common/ico_arrow02.svg) no-repeat center/contain;
          mask: url(../images/common/ico_arrow02.svg) no-repeat center/contain;
}

@media (width <= 768px) {
  .floor-all__item .arrow {
    width: 15px;
    height: 6px;
  }
}
@media (769px <= width) {
  .floor-all__item .arrow {
    width: 20px;
    height: 8px;
  }
}
.floor-all__item .arrow::before {
  background: #2B2B2B;
}

@media (hover: hover) {
  .floor-all__item a:hover .arrow::before {
    background: #00FF64;
    animation: c-arrow-1st 0.2s linear, c-arrow-2nd 0.2s linear 0.2s;
  }
}
/* =========================================================
detail
========================================================= */
/*------------------------------------------
navigation
------------------------------------------*/
@media (width <= 768px) {
  .floor-nav {
    margin: 70px auto 0;
  }
}
@media (769px <= width) {
  .floor-nav {
    margin: 100px auto 0;
  }
}
.floor-nav .c-nav01 {
  max-width: 387px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: clamp(1px, 1.6vw, 10px);
}

@media (width <= 768px) {
  .floor-nav .c-nav01 a {
    font-size: clamp(1px, 3.46vw, 13px);
  }
}
@media (769px <= width) {
  .floor-nav .c-nav01 a {
    font-size: 20px;
  }
}
/*------------------------------------------
detail
------------------------------------------*/
@media (width <= 768px) {
  .floor-detail {
    padding: 70px 0 0;
  }
}
@media (769px <= width) {
  .floor-detail {
    padding-top: 100px;
  }
}
@media (769px <= width) {
  .floor-detail__top {
    display: flex;
  }
}
@media (width <= 768px) {
  .floor-detail__head {
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 5px 15px;
  }
}
@media (769px <= width) {
  .floor-detail__head {
    width: 140px;
  }
}
.floor-detail__floor {
  font-family: nimbus-sans, sans-serif;
  font-weight: 400;
  letter-spacing: 0.01em;
  line-height: 1;
}

@media (width <= 768px) {
  .floor-detail__floor {
    font-size: 26px;
  }
}
@media (769px <= width) {
  .floor-detail__floor {
    font-size: 50px;
  }
}
@media (width <= 768px) {
  .floor-detail .c-pict {
    justify-content: flex-end;
  }
}
@media (769px <= width) {
  .floor-detail .c-pict {
    margin: 40px 0 0;
    flex-direction: column;
  }
}
@media (width <= 768px) {
  .floor-detail__map {
    margin: 10px auto 0;
  }
}
@media (769px <= width) {
  .floor-detail__map {
    flex: 1;
  }
}
.floor-detail__map img {
  width: 100%;
}

@media (width <= 768px) {
  .floor-detail .c-shop-list {
    margin: 20px auto 0;
  }
}
@media (769px <= width) {
  .floor-detail .c-shop-list {
    margin: 30px auto 0;
  }
}